﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCTM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCTM_SCPO', 'T_SCTM_SCPO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPO_BILLNO') CREATE INDEX IDX_SCTM_SCPO_BILLNO ON T_SCTM_SCPO ( FBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPO_ORG') CREATE INDEX IDX_SCTM_SCPO_ORG ON T_SCTM_SCPO ( FORGID ,FBIZTIME  DESC ,FBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPO_BIZTIME') CREATE INDEX IDX_SCTM_SCPO_BIZTIME ON T_SCTM_SCPO ( FBIZTIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPO_SUPPLIER') CREATE INDEX IDX_SCTM_SCPO_SUPPLIER ON T_SCTM_SCPO ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPO_L', 'T_SCTM_SCPO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPO_L') CREATE INDEX IDX_SCTM_SCPO_L ON T_SCTM_SCPO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPOENTRY_L', 'T_SCTM_SCPOENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOENTRY_L') CREATE INDEX IDX_SCTM_SCPOENTRY_L ON T_SCTM_SCPOENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPOENTRY_PAY', 'T_SCTM_SCPOENTRY_PAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOPAYENTRY_FID') CREATE INDEX IDX_SCTM_SCPOPAYENTRY_FID ON T_SCTM_SCPOENTRY_PAY ( FID );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPOENTRY_R', 'T_SCTM_SCPOENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOENTRY_R') CREATE INDEX IDX_SCTM_SCPOENTRY_R ON T_SCTM_SCPOENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPOENTRY_SUB', 'T_SCTM_SCPOENTRY_SUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOSUBENTRY_ID') CREATE INDEX IDX_SCTM_SCPOSUBENTRY_ID ON T_SCTM_SCPOENTRY_SUB ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOSUBENTRY_MATERIAL') CREATE INDEX IDX_SCTM_SCPOSUBENTRY_MATERIAL ON T_SCTM_SCPOENTRY_SUB ( FSUBMATERIALID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPO', 'T_SCTM_XSCPO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPO_XBILLNO') CREATE INDEX IDX_SCTM_XSCPO_XBILLNO ON T_SCTM_XSCPO ( FCHANGEBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPO_ORG') CREATE INDEX IDX_SCTM_XSCPO_ORG ON T_SCTM_XSCPO ( FORGID ,FCHANGEBIZDATE  DESC ,FCHANGEBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPO_XBIZDATE') CREATE INDEX IDX_SCTM_XSCPO_XBIZDATE ON T_SCTM_XSCPO ( FCHANGEBIZDATE  DESC );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPO_L', 'T_SCTM_XSCPO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPO_L') CREATE INDEX IDX_SCTM_XSCPO_L ON T_SCTM_XSCPO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOENTRY_L', 'T_SCTM_XSCPOENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOENTRY_L') CREATE INDEX IDX_SCTM_XSCPOENTRY_L ON T_SCTM_XSCPOENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOENTRY_PAY', 'T_SCTM_XSCPOENTRY_PAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOPAYENTRY_FID') CREATE INDEX IDX_SCTM_XSCPOPAYENTRY_FID ON T_SCTM_XSCPOENTRY_PAY ( FID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOENTRY_R', 'T_SCTM_XSCPOENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOENTRY_R') CREATE INDEX IDX_SCTM_XSCPOENTRY_R ON T_SCTM_XSCPOENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOENTRY_SUB', 'T_SCTM_XSCPOENTRY_SUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOSUBENTRY') CREATE INDEX IDX_SCTM_XSCPOSUBENTRY ON T_SCTM_XSCPOENTRY_SUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOLOG', 'T_SCTM_XSCPOLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOLOG_BILLNO') CREATE INDEX IDX_SCTM_XSCPOLOG_BILLNO ON T_SCTM_XSCPOLOG ( FXBILLNO  DESC );


 EXEC P_ALTERPK 'PK_T_SCTM_SCPOENTRY', 'T_SCTM_SCPOENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOENTRY_FID') CREATE INDEX IDX_SCTM_SCPOENTRY_FID ON T_SCTM_SCPOENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOENTRY_MATERIAL') CREATE INDEX IDX_SCTM_SCPOENTRY_MATERIAL ON T_SCTM_SCPOENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOENTRY_MASTERID') CREATE INDEX IDX_SCTM_SCPOENTRY_MASTERID ON T_SCTM_SCPOENTRY ( FMATERIALMASTERID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_SCPOSUBLIST_NO') CREATE INDEX IDX_SCTM_SCPOSUBLIST_NO ON T_SCTM_SCPOENTRY ( FSUBLISTNO  DESC );


 EXEC P_ALTERPK 'PK_T_SCTM_XSCPOENTRY', 'T_SCTM_XSCPOENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCTM_XSCPOENTRY_FID') CREATE INDEX IDX_SCTM_XSCPOENTRY_FID ON T_SCTM_XSCPOENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCTM_constraint.sql **/
