﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPO') 
 CREATE TABLE T_SCTM_SCPO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESSID BIGINT DEFAULT 0 NOT NULL,
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPRICELISTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FINPUTAMOUNT CHAR(1) DEFAULT '0' NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FBILLCRETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAIDPREALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITSRCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FPROVIDERADDRESS NVARCHAR(512),
FADDRESS NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPO_L') 
 CREATE TABLE T_SCTM_SCPO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FADDRESS NVARCHAR(512),
FPROVIDERADDRESS NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPOENTRY_L') 
 CREATE TABLE T_SCTM_SCPOENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMATERIALNAME NVARCHAR(255),
FDELIVERADDRESS NVARCHAR(512),
FENTRYCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPOENTRY_PAY') 
 CREATE TABLE T_SCTM_SCPOENTRY_PAY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPAYENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYCREATETIME DATETIME,
FPAYENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYMODIFYTIME DATETIME,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPOENTRY_R') 
 CREATE TABLE T_SCTM_SCPOENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPOENTRY_SUB') 
 CREATE TABLE T_SCTM_SCPOENTRY_SUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUBAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEFORMULA VARCHAR(5) DEFAULT ' ' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBUNITID BIGINT DEFAULT 0 NOT NULL,
FSUBBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELIVERORGID BIGINT DEFAULT 0 NOT NULL,
FSUBWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FSUBDELIVERDATE DATETIME,
FSUBOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSUBOWNERID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLSUBQTY CHAR(1) DEFAULT '0' NOT NULL,
FSUBRATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBRATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSUBCOMMENT NVARCHAR(512),
FSUBENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYCREATETIME DATETIME,
FSUBENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPO') 
 CREATE TABLE T_SCTM_XSCPO (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEBIZDATE DATETIME,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESSID BIGINT DEFAULT 0 NOT NULL,
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPRICELISTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FINPUTAMOUNT CHAR(1) DEFAULT '0' NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FBILLCRETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAIDPREALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITSRCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FCHANGEREASON NVARCHAR(512) DEFAULT ' ',
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FCOMMENT NVARCHAR(512),
FPROVIDERADDRESS NVARCHAR(512),
FADDRESS NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPO_L') 
 CREATE TABLE T_SCTM_XSCPO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FADDRESS NVARCHAR(512),
FPROVIDERADDRESS NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOENTRY_L') 
 CREATE TABLE T_SCTM_XSCPOENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMATERIALNAME NVARCHAR(255),
FDELIVERADDRESS NVARCHAR(512),
FENTRYCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOENTRY_PAY') 
 CREATE TABLE T_SCTM_XSCPOENTRY_PAY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FPAYENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYCREATETIME DATETIME,
FPAYENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYMODIFYTIME DATETIME,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEPAYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOENTRY_R') 
 CREATE TABLE T_SCTM_XSCPOENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOENTRY_SUB') 
 CREATE TABLE T_SCTM_XSCPOENTRY_SUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUBAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEFORMULA VARCHAR(5) DEFAULT ' ' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBUNITID BIGINT DEFAULT 0 NOT NULL,
FSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELIVERORGID BIGINT DEFAULT 0 NOT NULL,
FSUBWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FSUBDELIVERDATE DATETIME,
FSUBOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSUBOWNERID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLSUBQTY CHAR(1) DEFAULT '0' NOT NULL,
FSUBRATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBRATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBDELRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSUBCOMMENT NVARCHAR(512),
FSUBENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYCREATETIME DATETIME,
FSUBENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYMODIFYTIME DATETIME,
FSOURCESUBENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOLOG') 
 CREATE TABLE T_SCTM_XSCPOLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FXREASON NVARCHAR(512),
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON NVARCHAR(512),
FXBILLJSON NVARCHAR(512),
FXMDJSON NVARCHAR(512),
FSRCBILLJSON_TAG NCLOB,
FXBILLJSON_TAG NCLOB,
FXMDJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_SCPOENTRY') 
 CREATE TABLE T_SCTM_SCPOENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYPAYORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FISCONTROLDAY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVEDAYUP INT DEFAULT 0 NOT NULL,
FRECEIVEDAYDOWN INT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVERATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVERATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FSUBLISTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBDELGROUPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBLISTSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALNAME NVARCHAR(255),
FDELIVERADDRESS NVARCHAR(512),
FENTRYCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCTM_XSCPOENTRY') 
 CREATE TABLE T_SCTM_XSCPOENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYPAYORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FISCONTROLDAY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVEDAYUP INT DEFAULT 0 NOT NULL,
FRECEIVEDAYDOWN INT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVERATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVERATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FSUBLISTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
FSUBDELGROUPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBLISTSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALNAME NVARCHAR(255),
FDELIVERADDRESS NVARCHAR(512),
FENTRYCOMMENT NVARCHAR(512)
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCTM_table.sql **/
